VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE:
[legend]

## Public Member Functions

| PresentTimesInfoGOOGLE (uint32_t swapchainCount_=0, const PresentTimeGOOGLE *pTimes_=nullptr)
| PresentTimesInfoGOOGLE (VkPresentTimesInfoGOOGLE const &rhs)
PresentTimesInfoGOOGLE & | operator= (VkPresentTimesInfoGOOGLE const &rhs)
PresentTimesInfoGOOGLE & | setPNext (const void *pNext_)
PresentTimesInfoGOOGLE & | setSwapchainCount (uint32_t swapchainCount_)
PresentTimesInfoGOOGLE & | setPTimes (const PresentTimeGOOGLE *pTimes_)
| operator VkPresentTimesInfoGOOGLE const & () const
| operator VkPresentTimesInfoGOOGLE & ()
bool | operator== (PresentTimesInfoGOOGLE const &rhs) const
bool | operator!= (PresentTimesInfoGOOGLE const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | swapchainCount
const PresentTimeGOOGLE * | pTimes

## Private Attributes

StructureType | sType = StructureType::ePresentTimesInfoGOOGLE

## Detailed Description

Definition at line 15210 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PresentTimesInfoGOOGLE() [1/2]

VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::PresentTimesInfoGOOGLE | ( | uint32_t | swapchainCount_ = `0`,
|  | const PresentTimeGOOGLE * | pTimes_ = `nullptr`
| ) |  |

inline

Definition at line 15212 of file vulkan.hpp.

: swapchainCount( swapchainCount_ )
, pTimes( pTimes_ )
{
}

## PresentTimesInfoGOOGLE() [2/2]

VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::PresentTimesInfoGOOGLE | ( | VkPresentTimesInfoGOOGLE const & | rhs | ) |

inline

Definition at line 15219 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PresentTimesInfoGOOGLE ) );
}

References memcpy.

## Member Function Documentation

## operator VkPresentTimesInfoGOOGLE &()

VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::operator VkPresentTimesInfoGOOGLE & | ( |  | ) |

inline

Definition at line 15252 of file vulkan.hpp.

{
return *reinterpret_cast<VkPresentTimesInfoGOOGLE*>(this);
}

## operator VkPresentTimesInfoGOOGLE const &()

VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::operator VkPresentTimesInfoGOOGLE const & | ( |  | ) | const

inline

Definition at line 15247 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPresentTimesInfoGOOGLE*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::operator!= | ( | PresentTimesInfoGOOGLE const & | rhs | ) | const

inline

Definition at line 15265 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PresentTimesInfoGOOGLE& VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::operator= | ( | VkPresentTimesInfoGOOGLE const & | rhs | ) |

inline

Definition at line 15224 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PresentTimesInfoGOOGLE ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::operator== | ( | PresentTimesInfoGOOGLE const & | rhs | ) | const

inline

Definition at line 15257 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( swapchainCount == rhs.swapchainCount )
&& ( pTimes == rhs.pTimes );
}

References pNext, pTimes, sType, and swapchainCount.

Referenced by operator!=().

## setPNext()

PresentTimesInfoGOOGLE& VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 15229 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPTimes()

PresentTimesInfoGOOGLE& VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::setPTimes | ( | const PresentTimeGOOGLE * | pTimes_ | ) |

inline

Definition at line 15241 of file vulkan.hpp.

{
pTimes = pTimes_;
return *this;
}

References pTimes.

## setSwapchainCount()

PresentTimesInfoGOOGLE& VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::setSwapchainCount | ( | uint32_t | swapchainCount_ | ) |

inline

Definition at line 15235 of file vulkan.hpp.

{
swapchainCount = swapchainCount_;
return *this;
}

References swapchainCount.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::pNext = nullptr

Definition at line 15274 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pTimes

const PresentTimeGOOGLE* VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::pTimes

Definition at line 15276 of file vulkan.hpp.

Referenced by operator==(), and setPTimes().

## sType

StructureType VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::sType = StructureType::ePresentTimesInfoGOOGLE

private

Definition at line 15271 of file vulkan.hpp.

Referenced by operator==().

## swapchainCount

uint32_t VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::swapchainCount

Definition at line 15275 of file vulkan.hpp.

Referenced by operator==(), and setSwapchainCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkPresentTimesInfoGOOGLE
Definition: vulkan_core.h:7168
VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::pTimes
const PresentTimeGOOGLE * pTimes
Definition: vulkan.hpp:15276
VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::pNext
const void * pNext
Definition: vulkan.hpp:15274
VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::swapchainCount
uint32_t swapchainCount
Definition: vulkan.hpp:15275
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::operator==
bool operator==(PresentTimesInfoGOOGLE const &rhs) const
Definition: vulkan.hpp:15257
VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::sType
StructureType sType
Definition: vulkan.hpp:15271
VULKAN_HPP_NAMESPACE::PresentTimesInfoGOOGLE::PresentTimesInfoGOOGLE
PresentTimesInfoGOOGLE(uint32_t swapchainCount_=0, const PresentTimeGOOGLE *pTimes_=nullptr)
Definition: vulkan.hpp:15212